Skip to main content
`Ctrl`+`K`

# KSPPIPEGCRGetUnrollW

Get information on `KSPPIPEGCR` if it uses unrolling the w vector

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPPIPEGCRGetUnrollW(KSP ksp, PetscBool *unroll_w)

Logically Collective

## Input Parameter

- ksp - the Krylov space context

## Output Parameter

- unroll_w - `KSPPIPEGCR` uses unrolling (bool)

## See Also

KSP: Linear System Solvers, `KSPPIPEGCR`, `KSPPIPEGCRGetTruncationType()`, `KSPPIPEGCRGetNprealloc()`, `KSPPIPEGCRSetUnrollW()`

## Level

intermediate

## Location

src/ksp/ksp/impls/gcr/pipegcr/pipegcr.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages